1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

wtf... Witch is the best way with firmwares?

Discussion in 'Sony PSP - Mod and firmware discussion' started by henkettu, Jan 21, 2007.

  1. henkettu

    henkettu Guest

    Hi, I've downloaded some demos from yourpsp and now I got a message, that I have to have the firmware 2.81 to see play those.. and I've got 2.71..So how do I get the 2.81? I've also got TA-082...S:

    P.s. Sorry about my english. I'm finnish, in a bit of a hurry and 13... XD
     
  2. bryceee

    bryceee Guest

    there's always downgrading down to 1.5 using the TA-082 downgrader, then upgrading to custom firmware 3.02 OE-A
     
  3. henkettu

    henkettu Guest

    Could you tell me some more About how to do it?
     
  4. mrgooey

    mrgooey Regular member

    Joined:
    Nov 5, 2005
    Messages:
    4,058
    Likes Received:
    0
    Trophy Points:
    46
    Do u want to play demos or the full whole games and play homebrew games apps ...etc.

    If u want to play demos and screw homebrew then go to network update. You must need a router.

    If u want to download whole psp games and play them then u need to downgrade then upgrade to 3.03 OE custom firmware. With 3.03 OE u can play demos too... It does what a 3.03 normally does and even gives you more features.

    What is ur choice and I'll guide u. I recommend to install 3.03 OE
     
  5. barnababa

    barnababa Member

    Joined:
    Jan 3, 2007
    Messages:
    71
    Likes Received:
    0
    Trophy Points:
    16
    Well, I think that the 3.03 OE, BUT you must remember the fact that I,ve got the TA-082..
    So I know, that I need to first get the 1.5 and THEN the 3.03...
     
  6. BlkMagic1

    BlkMagic1 Regular member

    Joined:
    Jun 19, 2006
    Messages:
    1,847
    Likes Received:
    0
    Trophy Points:
    46
    Last edited: Jan 22, 2007
  7. barnababa

    barnababa Member

    Joined:
    Jan 3, 2007
    Messages:
    71
    Likes Received:
    0
    Trophy Points:
    16
    Well, are you sure, that u can do these things with TA-082
     
  8. BlkMagic1

    BlkMagic1 Regular member

    Joined:
    Jun 19, 2006
    Messages:
    1,847
    Likes Received:
    0
    Trophy Points:
    46
    o i forgot to tell you need hend on your psp to downgrade
     
  9. henkettu

    henkettu Guest

    and whats that?
     
  10. BlkMagic1

    BlkMagic1 Regular member

    Joined:
    Jun 19, 2006
    Messages:
    1,847
    Likes Received:
    0
    Trophy Points:
    46
  11. henkettu

    henkettu Guest

    Holey... You gotta remember that I'm european... So thsese things work allso in european models, right?
     
  12. henkettu

    henkettu Guest

    Holey... You gotta remember that I'm european... So thsese things work allso in european models, right?
     
  13. BlkMagic1

    BlkMagic1 Regular member

    Joined:
    Jun 19, 2006
    Messages:
    1,847
    Likes Received:
    0
    Trophy Points:
    46
    it should just like how all game umd work with any region psp but the movies dont
     
  14. mrgooey

    mrgooey Regular member

    Joined:
    Nov 5, 2005
    Messages:
    4,058
    Likes Received:
    0
    Trophy Points:
    46
    All homebrew apps work for every region. It only need the firmware 1.5
     

Share This Page